import express from 'express';
import { getTags, createTag, deleteTag } from '../controllers/diaryTagController.js';
import { authenticate } from '../middleware/authMiddleware.js';

const router = express.Router();

router.use(authenticate);

router.get('/', getTags); 
router.post('/', createTag);
router.delete('/:tagId', deleteTag);

export default router;
